Bug 28355 - Add warning note about Email SMS driver option for SMSSendDriver
Summary: Add warning note about Email SMS driver option for SMSSendDriver
Status: Needs documenting
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Kyle M Hall
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-14 15:02 UTC by Nick Clemens
Modified: 2022-07-24 22:19 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This updates the text for the SMSSendDriver system preference. The Email SMS driver option is no longer recommended unless you use a dedicated SMS to Email gateway. Many mobile providers offer inconsistent support for the email to SMS gateway (sometimes it works, and sometimes it doesn't), which can cause frustration for patrons.
Version(s) released in:
22.11.00, 22.05.03, 21.11.11


Attachments
Bug 28355: Add a note that SMS to email via mobile provider is not recommended (1.15 KB, patch)
2022-06-17 12:00 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 28355: Add a note that SMS to email via mobile provider is not recommended (1.20 KB, patch)
2022-06-17 20:02 UTC, David Nind
Details | Diff | Splinter Review
Bug 28355: Add a note that SMS to email via mobile provider is not recommended (1.25 KB, patch)
2022-06-17 20:13 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 28355: (QA follow-up) Move Note to new line (1.53 KB, patch)
2022-06-17 20:14 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2021-05-14 15:02:10 UTC
Mobile provides offer inconsistent support for the email to SMS gateway and messages are often arbitrarily blocked.

This creates frustration for users as sometimes it works, and sometimes it doesn't.

As support for this service is dropping we should deprecate the usage within Koha and eventually remove it
Comment 1 Owen Leonard 2021-05-14 16:42:25 UTC
Ohio libraries use a service provided by the State Library for sending SMS messages where email is directed to their gateway for conversion into an SMS message. This means that we aren't using email to SMS by sending an email to a mobile provider, we're sending to a service that works with the mobile providers. 

We don't want this feature to go away as long as we have access to that service.
Comment 2 Katrin Fischer 2021-05-15 14:11:07 UTC
I am not sure if this applies everywhere so I think maybe we should add a warning and start collecting information. If it's still useful in some places, like Owen says, than we should keep it.
Comment 3 Nick Clemens 2022-06-17 12:00:57 UTC
Created attachment 136258 [details] [review]
Bug 28355: Add a note that SMS to email via mobile provider is not recommended
Comment 4 David Nind 2022-06-17 20:02:11 UTC
Created attachment 136305 [details] [review]
Bug 28355: Add a note that SMS to email via mobile provider is not recommended

Signed-off-by: David Nind <david@davidnind.com>
Comment 5 Katrin Fischer 2022-06-17 20:13:59 UTC
Created attachment 136306 [details] [review]
Bug 28355: Add a note that SMS to email via mobile provider is not recommended

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2022-06-17 20:14:03 UTC
Created attachment 136307 [details] [review]
Bug 28355: (QA follow-up) Move Note to new line

There is an existing pattern for the 'Note:' in pref
descriptions, where it's always added on a new line.
This changes the formatting to match that pattern.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Tomás Cohen Arazi 2022-06-21 18:29:19 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 8 Lucas Gass 2022-07-15 17:57:25 UTC
Backported to 22.05.x for 22.05.03
Comment 9 Arthur Suzuki 2022-07-21 14:40:28 UTC
pushing to 21.11.x for 21.11.11
Comment 10 Victor Grousset/tuxayo 2022-07-24 22:19:29 UTC
Not backported to oldoldstable (21.05.x). Feel free to ask if it's needed.

The warning might need to be documented in the manual.